Name:          HikariCP
Version:       2.4.3
Release:       6
Summary:       JDBC Connection Pool
License:       ASL 2.0
URL:           https://github.com/brettwooldridge/HikariCP
Source0:       https://github.com/brettwooldridge/HikariCP/archive/%{name}-%{version}.tar.gz
Patch0:        Disable-testcomplie.patch
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: maven-local mvn(com.sun:tools) mvn(io.dropwizard.metrics:metrics-core)
BuildRequires: mvn(io.dropwizard.metrics:metrics-healthchecks) mvn(javax.inject:javax.inject)
BuildRequires: mvn(junit:junit) mvn(org.apache.commons:commons-csv) mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.felix:org.apache.felix.framework)
BuildRequires: mvn(org.apache.logging.log4j:log4j-slf4j-impl) mvn(org.apache.logging.log4j:log4j-api)
BuildRequires: mvn(org.apache.logging.log4j:log4j-core) mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core) mvn(org.javassist:javassist) mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.mockito:mockito-all) mvn(org.slf4j:slf4j-simple)

BuildArch:     noarch

%description
Fast, simple, reliable. HikariCP is a "zero-overhead" production ready JDBC connection pool.
At roughly 130Kb, the library is very light.

%package help
Summary:       help documentation for HikariCP
Provides:      HikariCP-javadoc = %{version}-%{release}
Obsoletes:     HikariCP-javadoc < %{version}-%{release}

%description help
This package contains help documentation for HikariCP.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

for remove_plugin in jacoco-maven-plugin maven-release-plugin maven-source-plugin;do
     %pom_remove_plugin :${remove_plugin};
done

%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%pom_remove_dep org.ops4j.pax.exam:
%pom_remove_dep org.ops4j.pax.url:
%pom_remove_dep simple-jndi:simple-jndi
find src/test/java/com/zaxxer/hikari/osgi  -print -delete

%pom_add_dep junit:junit:4.12:test

%mvn_file : %{name}
%mvn_alias : com.zaxxer:%{name}-java6

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES  README.md TODO.md
%license LICENSE

%files help -f .mfiles-javadoc

%changelog
* Fri Dec 24 2021 yaoxin <yaoxin30@huawei.com> 2.4.3-6
- This package depends on log4j. After the log4j vulnerability CVE-2021-45105 is fixed, the version needs to be rebuild.

* Thu Dec 16 2021 yaoxin <yaoxin30@huawei.com> 2.4.3-5
- This package depends on log4j. After the log4j vulnerability CVE-2021-44228 is fixed, the version needs to be rebuild.

* Tue Oct 27 2020 huanghaitao <huanghaitao8@huawei.com> - 2.4.3-4
- Remove simple-jndi dep

* Fri Dec 20 2019 wanjiankang <wanjiankang@huawei.com> - 2.4.3-3
- initial rpm
